Subject: Re: bug#65534: [FR] icon for w32 notification message

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Aug 2023 17:13:57 +0300

> From: Shynur Xie <[email-masked]>
> Date: Fri, 25 Aug 2023 12:57:57 +0000
> msip_labels: 
> 
> I use this form to send message to the desktop:
> 
>     (w32-notification-close
>      (w32-notification-notify
>       :body "Body."))
> 
> But it doesn't display an Emacs icon like this:
> 
>     +------------------------+
>     |[ICON] GNU.Emacs   ... X|
>     |                        |
>     |Body.                   |
>     +------------------------+

The :icon parameter (and its default, if :icon is not specified)
defines the icon shown in the system tray, not the icon shown on the
notification "balloon".

You can have a limited fixed set of icons expressing the severity of
the notification displayed, like this:

(w32-notification-notify
  :body "Text notify"
  :level 'error
  :title "Title")

> How about adding an icon for this message, like most apps do?

Feel free to submit patches that allow that.  I'm not sure I see how
to do that using the Shell_NotifyIconW API, but maybe I'm missing
something.